Subject: Re: [PATCH] hugetlb: fix CONFIG_CGROUP_HUGETLB ifdefs

From: Stephen Rothwell <[email-masked]>
Date: Mon, 17 Feb 2020 14:53:13 +1100

Hi all,

On Fri, 14 Feb 2020 17:56:57 -0800 Randy Dunlap <[email-masked]> wrote:
>
> On 2/14/20 5:17 PM, Randy Dunlap wrote:
> > On 2/14/20 1:00 PM, Mina Almasry wrote:  
> >> On Fri, Feb 14, 2020 at 12:46 PM Mina Almasry <[email-masked]> wrote:  
> >>>
> >>> Fixes an #ifdef bug in the patch referred to below that was
> >>> causing a build error when CONFIG_DEBUG_VM &&
> >>> !CONFIG_CCGROUP_HUGETLB.  
> > 
> > Hi Mina,
> > 
> > I don't know if this was supposed to fix the 2 build reports that I made,
> > but this does not apply cleanly to mmotm (and it's a reply email so it's
> > more difficult to apply anyway):
> > 
> > Applying patch mm-hugetlb-fix-CONFIG_CGROUP_HUGETLB.patch
> > patching file mm/hugetlb.c
> > Hunk #1 succeeded at 289 with fuzz 1.
> > Hunk #2 succeeded at 325 with fuzz 2.
> > Hunk #3 FAILED at 435.
> > 1 out of 3 hunks FAILED -- rejects in file mm/hugetlb.c
> >   
> 
> OK, I applied this patch manually and it does fix most of the reported build problems.

I have also applied that patch by had to linux-next today.

-- 
Cheers,
Stephen Rothwell